PHP Manual
Prev |  | Next

# HttpResponse::setThrottleDelay

(no version information, might be only in CVS)

HttpResponse::setThrottleDelay -- Set throttle delay

## Description

staticbool HttpResponse::setThrottleDelay ( double seconds )

Sets the throttle delay for use with HttpResponse::setBufferSize().

Provides a basic throttling mechanism, which will yield the current process resp. thread until the entity has been completely sent, though.

> Note: This doesn't really work with the FastCGI SAPI.

## Parameters

seconds

  The seconds to sleep after each chunk sent

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpResponse::setStream | Up | http_cache_etag